Bug 827803 - Review Request: python-coverage-test-runner - Python module for enforcing code coverage completeness
Review Request: python-coverage-test-runner - Python module for enforcing cod...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Runge
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 827804 827805 827806 827808 827809 827810 827819
  Show dependency treegraph
 
Reported: 2012-06-03 02:18 EDT by Michel Alexandre Salim
Modified: 2012-10-18 07:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-19 20:20:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mrunge: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2012-06-03 02:18:15 EDT
Spec URL: http://salimma.fedorapeople.org/specs/admin/python-coverage-test-runner.spec
SRPM URL: http://salimma.fedorapeople.org/specs/admin/python-coverage-test-runner-1.0-1.fc17.src.rpm
Description:
Python module for enforcing code coverage completeness

Fedora Account System Username: salimma
Comment 1 Matthias Runge 2012-06-03 05:31:33 EDT
I'll take this for later review
Comment 2 Matthias Runge 2012-06-04 03:18:54 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint python-coverage-test-runner-1.0-1.fc18.src.rpm

python-coverage-test-runner.src: W: spelling-error %description -l en_US py -> pt, p, y
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint python-coverage-test-runner-1.0-1.fc18.noarch.rpm

python-coverage-test-runner.noarch: W: spelling-error %description -l en_US py -> pt, p, y
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/mrunge/review/827803/CoverageTestRunner-1.0.tar.gz :
  MD5SUM this package     : 66c049339af5a99f21ebe80944c31e9e
  MD5SUM upstream package : 66c049339af5a99f21ebe80944c31e9e

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[!]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Rpmlint output is silent.

rpmlint python-coverage-test-runner-1.0-1.fc18.src.rpm

python-coverage-test-runner.src: W: spelling-error %description -l en_US py -> pt, p, y
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint python-coverage-test-runner-1.0-1.fc18.noarch.rpm

python-coverage-test-runner.noarch: W: spelling-error %description -l en_US py -> pt, p, y
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint


http://pypi.python.org/pypi/CoverageTestRunner lists 1.6 as latest version, version 1.0 is packaged.

You should remove the first line
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

as it's not required any more.
Comment 3 Michel Alexandre Salim 2012-06-04 04:17:09 EDT
(In reply to comment #2)
> http://pypi.python.org/pypi/CoverageTestRunner lists 1.6 as latest version,
> version 1.0 is packaged.
> 
Worse -- author's NEWS page states that *1.8* is the latest version, and neither could be found on PyPI or on the project's list of downloads :p Will email him about this, and meanwhile download it from the Debian mirrors.

> You should remove the first line
> %{!?python_sitelib: %global python_sitelib %(%{__python} -c "from
> distutils.sysconfig import get_python_lib; print(get_python_lib())")}
> 
> as it's not required any more.

Ah, right. It's only needed on RHEL up to version 5 -- and I notice the packaging guideline gives a wrong example of how to use it -- their example would be positive on Fedora too!

Updated package to follow.
Comment 5 Matthias Runge 2012-06-04 04:45:07 EDT
OK, I see no issues left,

package APPROVED
Comment 6 Michel Alexandre Salim 2012-06-04 06:00:50 EDT
Great, thanks!

New Package SCM Request
=======================
Package Name: python-coverage-test-runner
Short Description: Python module for enforcing code coverage completeness
Owners: salimma
Branches: f16 f17
InitialCC:
Comment 7 Gwyn Ciesla 2012-06-04 08:10:51 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-06-04 10:48:38 EDT
python-coverage-test-runner-1.8-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-coverage-test-runner-1.8-1.fc17
Comment 9 Fedora Update System 2012-06-04 10:48:54 EDT
python-coverage-test-runner-1.8-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-coverage-test-runner-1.8-1.fc16
Comment 10 Fedora Update System 2012-06-05 19:01:41 EDT
python-coverage-test-runner-1.8-1.fc16 has been pushed to the Fedora 16 testing repository.
Comment 11 Fedora Update System 2012-06-19 20:20:28 EDT
python-coverage-test-runner-1.8-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 12 Fedora Update System 2012-06-19 20:22:36 EDT
python-coverage-test-runner-1.8-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 13 Michel Alexandre Salim 2012-10-17 02:41:12 EDT
Package Change Request
======================
Package Name: python-coverage-test-runner
New Branches: el6
Comment 14 Michel Alexandre Salim 2012-10-17 02:41:43 EDT
Package Change Request
======================
Package Name: python-coverage-test-runner
New Branches: el6
Comment 15 Gwyn Ciesla 2012-10-17 10:01:00 EDT
Misformatted request.
Comment 16 Michel Alexandre Salim 2012-10-18 02:55:07 EDT
Package Change Request
======================
Package Name: python-coverage-test-runner
New Branches: el6
Owners: salimma
Comment 17 Gwyn Ciesla 2012-10-18 07:07:59 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.